Librerie test e compatibilità con Spyder 5

Wahya (4080 points)
1 2 12
asked Oct 22 in Programmare in Python by Wahya (4,080 points)
Ogni volta che installo le librerie per i test nell'ambiente anaconda mi chiede di downgradare il kernel di spyder e mi torna alle versioni precedenti la 5.

E' un mio problema o esiste una incompatibilità tra quelle librerie e le ultime versioni di spyder?

3 Answers

Best answer
andrea.sterbini (159740 points)
440 840 1620
answered Oct 22 by andrea.sterbini (159,740 points)
selected Oct 22 by Wahya

purtroppo le due librerie spyder-line-profiler e spyder-unittest ancora non sono state aggiornate a Spyder 5

Se le volete usare downgradate a spyder 4

Exyss (13470 points)
0 0 50
answered Oct 22 by Exyss (13,470 points)
Credo sia un problema solo tuo, ho installato tutte le librerie consigliate sia su Linux che su Windows ed √®  andato tutto liscio in entrambi i casi
c
campobassof (720 points)
2 4 9
answered Oct 22 by campobassof (720 points)
Prima di installare la libreria hai provato conda update -all?